# PoolStorage

The current version of PoolStorage inherits from its predecessor which in turn inherits from its predecessor going back to the original implementation, PoolStorageV1.

## PoolStorageV1

### token

```solidity
contract IERC20 token
```

Collateral token address

### poolAccountant

```solidity
address poolAccountant
```

PoolAccountant address

### poolRewards

```solidity
address poolRewards
```

PoolRewards contract address

## PoolStorageV2

## PoolStorageV3

### universalFee

```solidity
uint256 universalFee
```

Universal fee of this pool. Default to 2%

### maxProfitAsFee

```solidity
uint256 maxProfitAsFee
```

Maximum percentage of profit that can be counted as universal fee. Default to 50%

### minDepositLimit

```solidity
uint256 minDepositLimit
```

Minimum deposit limit.

*Do not set it to 0 as deposit() is checking if amount >= limit*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vesper.finance/vesper-developers/vesper-contracts-api-reference/pool-contracts/poolstorage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
